Bug 104101 - multimedia/audacious 1.1.2 doesn't compile.
Summary: multimedia/audacious 1.1.2 doesn't compile.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-07 14:20 UTC by rsmith
Modified: 2006-10-31 07:30 UTC (History)
0 users

See Also:


Attachments
audacious_patch.diff (1.06 KB, patch)
2006-10-10 13:00 UTC, redchrom
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rsmith 2006-10-07 14:20:21 UTC
The port multimedia/audacious does not complie on my amd64 machine. I get
the following message:

       CXX     Audacious_Driver.cpp
Audacious_Driver.cpp:850: error: too many initializers for `InputPlugin'
gmake[5]: *** [Audacious_Driver.o] Error 1
gmake[4]: *** [libconsole.so] Error 2
gmake[3]: *** [build] Error 2
gmake[2]: *** [build] Error 2
gmake[1]: *** [build] Error 2
gmake: *** [build] Error 2
*** Error code 2

Stop in /usr/ports/multimedia/audacious.

Looking at the source code, and the definition for InputPlugin, I don't see
that there are too many initializers.

How-To-Repeat: 	cd /usr/ports/multimedia/audacious/
	make
Comment 1 Edwin Groothuis freebsd_committer 2006-10-07 14:20:28 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Sam Lawrance freebsd_committer 2006-10-08 07:22:34 UTC
State Changed
From-To: feedback->feedback

Roland, 

Build logs on pointyhat.freebsd.org show no failure on 6.x-amd64. 

Can you please verify that your ports collection is completely up-to-date, 
and that your installed ports are also up-to-date? 

If they are OK, it's likely something in your environment is causing the 
build to fail, and we'll need to collect more information.  It might be 
worthwhile checking to see if anything suspicous resides in /etc/make.conf.
Comment 3 Sam Lawrance freebsd_committer 2006-10-08 11:20:57 UTC
State Changed
From-To: feedback->analyzed

Submitter had the previous version of audacious installed. The port build 
was picking up the installed header files instead of those bundled with the 
source. 

This could be a problem for the vendor to look at.  It might also be a  
result of adding -I${LOCALBASE}/include to CPPFLAGS. 

Maintainer, can you please take a look? 


Comment 4 Sam Lawrance freebsd_committer 2006-10-08 11:20:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Track
Comment 5 Sam Lawrance 2006-10-09 09:26:23 UTC
Stepan Zastupov wrote:
> On Sun, 8 Oct 2006 10:28:09 GMT
> Sam Lawrance <lawrance@FreeBSD.org> wrote:
>   
>> This could be a problem for the vendor to look at.  It might also be a 
>> result of adding -I${LOCALBASE}/include to CPPFLAGS.
>>
>> Maintainer, can you please take a look?
>>
>>     
> Same reports has been sent but I haven't tried to find a solution because I cannot repeat the fail. I think we should move inclusion of ${LOCALBASE}/include sowmhere before the inclusion of audacious headers.

CPPFLAGS="-I ${LOCALBASE}/include" is being used as a catch-all.  It 
works, but the ordering of includes leads to errors like the one 
reported.   A possible solution is to remove that line from 
CONFIGURE_ENV, and tell configure exactly where to find the headers it 
needs with CONFIGURE_ARGS.  Like this, for example:

CONFIGURE_ARGS= --with-libFLAC=${LOCALBASE}

(for FLAC support).

How does that sound, Stepan?
Comment 6 redchrom 2006-10-09 14:18:31 UTC
On Mon, 09 Oct 2006 18:26:23 +1000
Sam Lawrance <boris@brooknet.com.au> wrote:
> CONFIGURE_ARGS= --with-libFLAC=${LOCALBASE}
> 
> (for FLAC support).
> 
> How does that sound, Stepan?
> 
Hm, looks good but I think without global inclusion audacious will not build. I'll try to play with it tommorow. Thanks in advance.

-- 
Best regards, Stepan Zastupov aka RedChrom
ISPSystem
Comment 7 redchrom 2006-10-09 14:23:09 UTC
On Mon, 09 Oct 2006 18:26:23 +1000
Sam Lawrance <boris@brooknet.com.au> wrote:
> CONFIGURE_ARGS= --with-libFLAC=${LOCALBASE}
> 
> (for FLAC support).
> 
> How does that sound, Stepan?
> 
Hm, looks good but I think without global inclusion audacious will not build. I'll try to play with it tommorow. Thanks in advance.

-- 
Best regards, Stepan Zastupov aka RedChrom
ISPSystem
Comment 8 rsmith 2006-10-09 18:28:12 UTC
On Mon, Oct 09, 2006 at 06:26:23PM +1000, Sam Lawrance wrote:
> 
> CPPFLAGS="-I ${LOCALBASE}/include" is being used as a catch-all.  It 
> works, but the ordering of includes leads to errors like the one 
> reported.   A possible solution is to remove that line from 
> CONFIGURE_ENV, and tell configure exactly where to find the headers it 
> needs with CONFIGURE_ARGS.  Like this, for example:
> 
> CONFIGURE_ARGS= --with-libFLAC=${LOCALBASE}
> 
> (for FLAC support).
> 
> How does that sound, Stepan?
> 

BTW, I just submitted (ports/104155) a patch for this port to add
optional FLAC support.

Roland
-- 
R.F.Smith                                   http://www.xs4all.nl/~rsmith/
[plain text _non-HTML_ PGP/GnuPG encrypted/signed email much appreciated]
pgp: 1A2B 477F 9970 BA3C 2914  B7CE 1277 EFB0 C321 A725 (KeyID: C321A725)
Comment 9 Sam Lawrance 2006-10-10 08:43:13 UTC
Stepan Zastupov wrote:
> On Mon, 09 Oct 2006 18:26:23 +1000
> Sam Lawrance <boris@brooknet.com.au> wrote:
>   
>> CONFIGURE_ARGS= --with-libFLAC=${LOCALBASE}
>>
>> (for FLAC support).
>>
>> How does that sound, Stepan?
>>
>>     
> Hm, looks good but I think without global inclusion audacious will not build. I'll try to play with it tommorow. Thanks in advance

I built it in a tinderbox and it built and packaged OK.  Also in a 
working environment with all options turned on - fine too.  I think it 
just needs to addition of those --with--XXX flags to configure in case 
${LOCALBASE} is set differently to usual.
Comment 10 redchrom 2006-10-10 13:00:39 UTC
On Tue, 10 Oct 2006 17:43:13 +1000
Sam Lawrance <boris@brooknet.com.au> wrote:

> Stepan Zastupov wrote:
> > On Mon, 09 Oct 2006 18:26:23 +1000
> > Sam Lawrance <boris@brooknet.com.au> wrote:
> >   
> >> CONFIGURE_ARGS= --with-libFLAC=${LOCALBASE}
> >>
> >> (for FLAC support).
> >>
> >> How does that sound, Stepan?
> >>
> >>     
> > Hm, looks good but I think without global inclusion audacious will not build. I'll try to play with it tommorow. Thanks in advance
> 
> I built it in a tinderbox and it built and packaged OK.  Also in a 
> working environment with all options turned on - fine too.  I think it 
> just needs to addition of those --with--XXX flags to configure in case 
> ${LOCALBASE} is set differently to usual.
> 
> 
As I see addition of LOCALBASE/include is no need anymore, in the attachement patch with cleanup.


-- 
Best regards, Stepan Zastupov aka RedChrom
ISPSystem
Comment 11 Sam Lawrance freebsd_committer 2006-10-15 13:49:26 UTC
Stepan,

I've submitted just the CPPFLAGS change to portmgr, and am waiting for 
approval.  Since we are in a ports freeze, the other cleanups will have 
to wait until after the freeze.

Regards
Sam
Comment 12 dfilter service freebsd_committer 2006-10-20 08:31:39 UTC
lawrance    2006-10-20 07:31:33 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/audacious Makefile 
  Log:
  Fix build for users trying to upgrade audacious, by removing CPPFLAGS
  assignment from the port Makefile.  It was causing header conflicts
  between the previously installed version and the port build.
  
  PR:             ports/104101
  Submitted by:   Roland Smith <rsmith@xs4all.nl>
  Approved by:    portmgr (erdwin)
  
  Revision  Changes    Path
  1.18      +1 -2      ports/multimedia/audacious/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 Sam Lawrance freebsd_committer 2006-10-20 08:33:13 UTC
State Changed
From-To: analyzed->patched

CPPFLAGS change approved by portmgr and committed.
Comment 14 dfilter service freebsd_committer 2006-10-31 07:20:26 UTC
lawrance    2006-10-31 07:20:14 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/audacious Makefile 
  Log:
  Tidy up.
  
  PR:             ports/104101
  Submitted by:   Stepan Zastupov <redchrom@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.19      +2 -2      ports/multimedia/audacious/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 15 Sam Lawrance freebsd_committer 2006-10-31 07:20:49 UTC
State Changed
From-To: patched->closed

Tidy-up committed, thanks!